/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.GrupoCortesia;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderGrupoCortesias implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        GrupoCortesia grupoCortesias = (GrupoCortesia) o;

        Listcell lc = new Listcell(grupoCortesias.getGrupocortesiaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(grupoCortesias.getDescgrupo());
        lc.setParent(lstm);

        lstm.setAttribute("data", grupoCortesias);
    }
}
